<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  February 21th 2007                                       //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2007 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	class t_command extends triton {
		function runCommand($param, $channel=NULL) {

			if ($handle = opendir("../../system/cache/chat/")) {
				while (($file = readdir($handle)) !== false) {
					if (preg_match('/\\bc_.*\\.txt/i', $file)) {
						$channels[] = "#".substr($file, 2, strlen($file)-6);
					}
				}
			}
			closedir($dh);
			
			$this -> localEcho('ECHO_LIST', array(implode(" ", $channels)));
	
	
		}
	}
?>